import { ISevenFigureSummary } from "@tracerbench/stats";
import { GenerateStats, HTMLSectionRenderData } from "./generate-stats";
import TBTable from "./tb-table";
export interface ICompareJSONResult {
    heading: string;
    phaseName: string;
    isSignificant: boolean;
    estimatorDelta: string;
    controlSampleCount: number;
    experimentSampleCount: number;
    confidenceInterval: string[];
    controlSevenFigureSummary: ISevenFigureSummary;
    experimentSevenFigureSummary: ISevenFigureSummary;
}
export interface ICompareJSONResults {
    benchmarkTableData: ICompareJSONResult[];
    phaseTableData: ICompareJSONResult[];
    areResultsSignificant: boolean;
    isBelowRegressionThreshold: boolean;
}
declare type PhaseResultsFormatted = Array<Pick<HTMLSectionRenderData, "phase" | "hlDiff" | "isSignificant" | "ciMin" | "ciMax">>;
export declare class CompareResults {
    benchmarkTable: TBTable;
    phaseTable: TBTable;
    benchmarkTableData: ICompareJSONResult[];
    phaseTableData: ICompareJSONResult[];
    phaseResultsFormatted: PhaseResultsFormatted;
    areResultsSignificant: boolean;
    isBelowRegressionThreshold: boolean;
    fidelity: number;
    regressionThreshold: number;
    constructor(generateStats: GenerateStats, fidelity: number, regressionThreshold: number);
    private logMetaMessagesAndWarnings;
    private logStatSummaryReport;
    anyResultsSignificant(benchmarkIsSigArray: boolean[], phaseIsSigArray: boolean[]): boolean;
    allBelowRegressionThreshold(benchmarkTableEstimatorDeltas: number[], phaseTableEstimatorDeltas: number[]): boolean;
    stringifyJSON(): string;
    logTables(): void;
    logSummary(): void;
}
export {};
//# sourceMappingURL=compare-results.d.ts.map